Package org.apache.sysds.runtime.controlprogram.parfor

## Class TaskPartitionerStatic

- java.lang.Object
- - org.apache.sysds.runtime.controlprogram.parfor.TaskPartitioner
  - - org.apache.sysds.runtime.controlprogram.parfor.TaskPartitionerFixedsize
    - - org.apache.sysds.runtime.controlprogram.parfor.TaskPartitionerStatic

    public class TaskPartitionerStatic
    extends TaskPartitionerFixedsize

This static task partitioner virtually iterates over the given FOR loop (from, to, incr), creates iterations and group them to tasks according to a task size of numIterations/numWorkers. There, all tasks are equally sized.

### Constructor Summary

Constructors
`TaskPartitionerStatic​(long taskSize, int numThreads, String iterVarName, IntObject fromVal, IntObject toVal, IntObject incrVal)`

### Method Summary

### Methods inherited from class org.apache.sysds.runtime.controlprogram.parfor.TaskPartitionerFixedsize

`createTasks, createTasks`

### Methods inherited from class org.apache.sysds.runtime.controlprogram.parfor.TaskPartitioner

`getNumIterations`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### TaskPartitionerStatic

    public TaskPartitionerStatic​(long taskSize,
                                 int numThreads,
                                 String iterVarName,
                                 IntObject fromVal,
                                 IntObject toVal,
                                 IntObject incrVal)